#!/bin/sh

name="sdl"
title="Simple DirectMedia Layer"
package="sdl"
version="1.2.5"
build="1"
noarch="n"
build_info="Standard build."

info="A library that gives portable low-level access for multimedia."
desc="SDL is a library that allows you portable low-level access to
a video framebuffer, audio output, mouse, and keyboard. With
SDL, it is easy to write portable games which run on Linux
(x86, Sparc, PPC, Alpha), Solaris (Sparc), Win32 (95, 98, NT),
BeOS (x86), and MacOS (PPC)."
category="library/multimedia"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="BUGS,COPYING,CREDITS,INSTALL,README,README-SDL.txt,TODO,WhatsNew,docs/{index.html,html}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.libsdl.org/release/SDL-$version.tar.gz

configure_option --prefix=/usr
configure_option --enable-video-svga
configure_option --enable-video-aalib
configure_option --enable-arts-shared
configure_option --enable-esd-shared
configure_option --enable-dlopen

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: sdl.builder,v $
# Revision 1.5  2003/02/08 13:43:45  swiergot
# - Build 1.
#
# Revision 1.4  2003/02/08 13:18:49  swiergot
# - Reviewed configure options.
#
# Revision 1.3  2003/01/14 18:55:25  swiergot
# - Cleaned up the mess made by gausus.
#
